<?php



$tdatatb_componentes = array();
$tdatatb_componentes[".searchableFields"] = array();
$tdatatb_componentes[".ShortName"] = "tb_componentes";
$tdatatb_componentes[".OwnerID"] = "";
$tdatatb_componentes[".OriginalTable"] = "tb_componentes";


$tdatatb_componentes[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatatb_componentes[".originalPagesByType"] = $tdatatb_componentes[".pagesByType"];
$tdatatb_componentes[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatatb_componentes[".originalPages"] = $tdatatb_componentes[".pages"];
$tdatatb_componentes[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatatb_componentes[".originalDefaultPages"] = $tdatatb_componentes[".defaultPages"];

//	field labels
$fieldLabelstb_componentes = array();
$fieldToolTipstb_componentes = array();
$pageTitlestb_componentes = array();
$placeHolderstb_componentes = array();

if(mlang_getcurrentlang()=="Portuguese(Brazil)")
{
	$fieldLabelstb_componentes["Portuguese(Brazil)"] = array();
	$fieldToolTipstb_componentes["Portuguese(Brazil)"] = array();
	$placeHolderstb_componentes["Portuguese(Brazil)"] = array();
	$pageTitlestb_componentes["Portuguese(Brazil)"] = array();
	$fieldLabelstb_componentes["Portuguese(Brazil)"]["componenteID"] = "Componente ID";
	$fieldToolTipstb_componentes["Portuguese(Brazil)"]["componenteID"] = "";
	$placeHolderstb_componentes["Portuguese(Brazil)"]["componenteID"] = "";
	$fieldLabelstb_componentes["Portuguese(Brazil)"]["componente"] = "Componente";
	$fieldToolTipstb_componentes["Portuguese(Brazil)"]["componente"] = "";
	$placeHolderstb_componentes["Portuguese(Brazil)"]["componente"] = "";
	$fieldLabelstb_componentes["Portuguese(Brazil)"]["ativar"] = "Ativar";
	$fieldToolTipstb_componentes["Portuguese(Brazil)"]["ativar"] = "";
	$placeHolderstb_componentes["Portuguese(Brazil)"]["ativar"] = "";
	if (count($fieldToolTipstb_componentes["Portuguese(Brazil)"]))
		$tdatatb_componentes[".isUseToolTips"] = true;
}


	$tdatatb_componentes[".NCSearch"] = true;


	$tdatatb_componentes[".scrollGridBody"] = true;

$tdatatb_componentes[".shortTableName"] = "tb_componentes";
$tdatatb_componentes[".nSecOptions"] = 0;

$tdatatb_componentes[".mainTableOwnerID"] = "";
$tdatatb_componentes[".entityType"] = 0;

$tdatatb_componentes[".strOriginalTableName"] = "tb_componentes";

	



$tdatatb_componentes[".showAddInPopup"] = false;

$tdatatb_componentes[".showEditInPopup"] = false;

$tdatatb_componentes[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatatb_componentes[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatatb_componentes[".listAjax"] = false;
//	temporary
$tdatatb_componentes[".listAjax"] = false;

	$tdatatb_componentes[".audit"] = false;

	$tdatatb_componentes[".locking"] = false;


$pages = $tdatatb_componentes[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatatb_componentes[".edit"] = true;
	$tdatatb_componentes[".afterEditAction"] = 0;
	$tdatatb_componentes[".closePopupAfterEdit"] = 1;
	$tdatatb_componentes[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatatb_componentes[".add"] = true;
$tdatatb_componentes[".afterAddAction"] = 0;
$tdatatb_componentes[".closePopupAfterAdd"] = 1;
$tdatatb_componentes[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatatb_componentes[".list"] = true;
}



$tdatatb_componentes[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatatb_componentes[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatatb_componentes[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatatb_componentes[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatatb_componentes[".printFriendly"] = true;
}



$tdatatb_componentes[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatatb_componentes[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatatb_componentes[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatatb_componentes[".isUseAjaxSuggest"] = true;

$tdatatb_componentes[".rowHighlite"] = true;





$tdatatb_componentes[".ajaxCodeSnippetAdded"] = false;

$tdatatb_componentes[".buttonsAdded"] = false;

$tdatatb_componentes[".addPageEvents"] = false;

// use timepicker for search panel
$tdatatb_componentes[".isUseTimeForSearch"] = false;


$tdatatb_componentes[".badgeColor"] = "DB7093";


$tdatatb_componentes[".allSearchFields"] = array();
$tdatatb_componentes[".filterFields"] = array();
$tdatatb_componentes[".requiredSearchFields"] = array();

$tdatatb_componentes[".googleLikeFields"] = array();
$tdatatb_componentes[".googleLikeFields"][] = "componenteID";
$tdatatb_componentes[".googleLikeFields"][] = "componente";
$tdatatb_componentes[".googleLikeFields"][] = "ativar";



$tdatatb_componentes[".tableType"] = "list";

$tdatatb_componentes[".printerPageOrientation"] = 0;
$tdatatb_componentes[".nPrinterPageScale"] = 100;

$tdatatb_componentes[".nPrinterSplitRecords"] = 40;

$tdatatb_componentes[".geocodingEnabled"] = false;










$tdatatb_componentes[".pageSize"] = 20;

$tdatatb_componentes[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatatb_componentes[".strOrderBy"] = $tstrOrderBy;

$tdatatb_componentes[".orderindexes"] = array();

$tdatatb_componentes[".sqlHead"] = "SELECT componenteID,  componente,  ativar";
$tdatatb_componentes[".sqlFrom"] = "FROM tb_componentes";
$tdatatb_componentes[".sqlWhereExpr"] = "";
$tdatatb_componentes[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatatb_componentes[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatatb_componentes[".arrGroupsPerPage"] = $arrGPP;

$tdatatb_componentes[".highlightSearchResults"] = true;

$tableKeystb_componentes = array();
$tableKeystb_componentes[] = "componenteID";
$tdatatb_componentes[".Keys"] = $tableKeystb_componentes;


$tdatatb_componentes[".hideMobileList"] = array();




//	componenteID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "componenteID";
	$fdata["GoodName"] = "componenteID";
	$fdata["ownerTable"] = "tb_componentes";
	$fdata["Label"] = GetFieldLabel("tb_componentes","componenteID");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "componenteID";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "componenteID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_componentes["componenteID"] = $fdata;
		$tdatatb_componentes[".searchableFields"][] = "componenteID";
//	componente
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "componente";
	$fdata["GoodName"] = "componente";
	$fdata["ownerTable"] = "tb_componentes";
	$fdata["Label"] = GetFieldLabel("tb_componentes","componente");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "componente";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "componente";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_componentes["componente"] = $fdata;
		$tdatatb_componentes[".searchableFields"][] = "componente";
//	ativar
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "ativar";
	$fdata["GoodName"] = "ativar";
	$fdata["ownerTable"] = "tb_componentes";
	$fdata["Label"] = GetFieldLabel("tb_componentes","ativar");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "ativar";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "ativar";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Checkbox");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Checkbox");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_componentes["ativar"] = $fdata;
		$tdatatb_componentes[".searchableFields"][] = "ativar";


$tables_data["tb_componentes"]=&$tdatatb_componentes;
$field_labels["tb_componentes"] = &$fieldLabelstb_componentes;
$fieldToolTips["tb_componentes"] = &$fieldToolTipstb_componentes;
$placeHolders["tb_componentes"] = &$placeHolderstb_componentes;
$page_titles["tb_componentes"] = &$pageTitlestb_componentes;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["tb_componentes"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["tb_componentes"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_tb_componentes()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "componenteID,  componente,  ativar";
$proto0["m_strFrom"] = "FROM tb_componentes";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "componenteID",
	"m_strTable" => "tb_componentes",
	"m_srcTableName" => "tb_componentes"
));

$proto6["m_sql"] = "componenteID";
$proto6["m_srcTableName"] = "tb_componentes";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "componente",
	"m_strTable" => "tb_componentes",
	"m_srcTableName" => "tb_componentes"
));

$proto8["m_sql"] = "componente";
$proto8["m_srcTableName"] = "tb_componentes";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "ativar",
	"m_strTable" => "tb_componentes",
	"m_srcTableName" => "tb_componentes"
));

$proto10["m_sql"] = "ativar";
$proto10["m_srcTableName"] = "tb_componentes";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto12=array();
$proto12["m_link"] = "SQLL_MAIN";
			$proto13=array();
$proto13["m_strName"] = "tb_componentes";
$proto13["m_srcTableName"] = "tb_componentes";
$proto13["m_columns"] = array();
$proto13["m_columns"][] = "componenteID";
$proto13["m_columns"][] = "componente";
$proto13["m_columns"][] = "material";
$proto13["m_columns"][] = "metrica";
$proto13["m_columns"][] = "ativar";
$obj = new SQLTable($proto13);

$proto12["m_table"] = $obj;
$proto12["m_sql"] = "tb_componentes";
$proto12["m_alias"] = "";
$proto12["m_srcTableName"] = "tb_componentes";
$proto14=array();
$proto14["m_sql"] = "";
$proto14["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto14["m_column"]=$obj;
$proto14["m_contained"] = array();
$proto14["m_strCase"] = "";
$proto14["m_havingmode"] = false;
$proto14["m_inBrackets"] = false;
$proto14["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto14);

$proto12["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto12);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="tb_componentes";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_tb_componentes = createSqlQuery_tb_componentes();


	
		;

			

$tdatatb_componentes[".sqlquery"] = $queryData_tb_componentes;

$tableEvents["tb_componentes"] = new eventsBase;
$tdatatb_componentes[".hasEvents"] = false;

?>